OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class MockElement

    java.lang.Object
      org.opennms.netmgt.mock.MockElement

Direct Known Subclasses:
  MockContainer, MockService

public abstract class MockElement
extends java.lang.Object

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`(package private) MockContainer` `m_parent`

Constructor Summary
`protected` `MockElement(MockContainer parent)`

Method Summary
`abstract void` `addAnticipator(PollAnticipator trigger)`
`void` `bringDown()`
`void` `bringUnresponsive()`
`void` `bringUp()`
`abstract Event` `createDeleteEvent()`
`abstract Event` `createDownEvent()`
`Event` `createDownEvent(java.util.Date date)`
`abstract Event` `createUpEvent()`
`Event` `createUpEvent(java.util.Date date)`
`(package private) abstract java.lang.Object` `getKey()`
`MockNetwork` `getNetwork()`
`MockContainer` `getParent()`
`abstract int` `getPollCount()`
`abstract int` `getPollStatus()`
`void` `moveTo(MockContainer newParent)`
`abstract void` `removeAnticipator(PollAnticipator trigger)`
`abstract void` `resetPollCount()`
`(package private) void` `setParent(MockContainer parent)`
`private void` `setServicePollStatus(int newStatus)`
`void` `visit(MockVisitor v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_parent

    MockContainer m_parent

Constructor Detail

### MockElement

    protected MockElement(MockContainer parent)

Method Detail

### addAnticipator

    public abstract void addAnticipator(PollAnticipator trigger)

### bringDown

    public void bringDown()

### bringUp

    public void bringUp()

### bringUnresponsive

    public void bringUnresponsive()

### getKey

    abstract java.lang.Object getKey()

### getParent

    public MockContainer getParent()

### getNetwork

    public MockNetwork getNetwork()

### getPollCount

    public abstract int getPollCount()

### getPollStatus

    public abstract int getPollStatus()

### moveTo

    public void moveTo(MockContainer newParent)

### removeAnticipator

    public abstract void removeAnticipator(PollAnticipator trigger)

### resetPollCount

    public abstract void resetPollCount()

### setParent

    void setParent(MockContainer parent)

### setServicePollStatus

    private void setServicePollStatus(int newStatus)

### visit

    public void visit(MockVisitor v)

### createDownEvent

    public abstract Event createDownEvent()

### createUpEvent

    public abstract Event createUpEvent()

### createUpEvent

    public Event createUpEvent(java.util.Date date)

  Returns:

### createDownEvent

    public Event createDownEvent(java.util.Date date)

  Parameters:
    `date` -
  Returns:

### createDeleteEvent

    public abstract Event createDeleteEvent()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.